<?xml version="1.0" encoding='UTF-8'?>
<!DOCTYPE hibernate-mapping PUBLIC "-//Hibernate/Hibernate Mapping DTD 3.0//EN" "http://hibernate.sourceforge.net/hibernate-mapping-3.0.dtd" >
<hibernate-mapping package="com.jxc.domain.hbm">
    <class name="Invest" table="INVEST" optimistic-lock="version">
        <id name="id" column="ID" type="java.lang.String">
            <generator class="uuid.hex" />
        </id>
        <property name="version" column="VERSION" type="java.lang.Integer" />
        <property name="person" column="PERSON" type="java.lang.String" not-null="true" />
        <property name="datee" column="DATEE" type="java.util.Date" not-null="true" />
        <property name="amount" column="AMOUNT" type="java.lang.Double" not-null="true" />
        <property name="memo" column="MEMO" type="java.lang.String" />
        <property name="sortId" column="SORT_ID" type="java.lang.Integer" />
        <property name="updateDate" column="UPDATE_DATE" type="java.util.Date" />
        <property name="createDate" column="CREATE_DATE" type="java.util.Date" />
    </class>
</hibernate-mapping>

